MODULE YOMTRC

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! ------------------------------------------------------------------------------
! GLOBAL STORAGE FOR SOLAR/THERMAL OPTICAL DEPTHS (INTERMITTENCY CASE):

! GRSURF  : CORRECTIVE RATIO FOR SURFACE CTS CONTRIBUTION
! GDEOTI  : DESCENDING INCREMENTAL OPTICAL DEPTHS, dB/dT(T0) WEIGHTS
! GDEOTI2 : DESCENDING INCREMENTAL OPTICAL DEPTHS, B WEIGHTS WITH
!           LINEAR T_e CORRECTION
! GUEOTI  : ASCENDING INCREMENTAL OPTICAL DEPTHS, dB/dT(T0) WEIGHTS
! GUEOTI2 : ASCENDING INCREMENTAL OPTICAL DEPTHS, B WEIGHTS WITH
!           LINEAR T_e CORRECTION
! GEOLT   : LOCAL OPTICAL DEPTHS, dB/dT(T0) WEIGHTS
! GEOXT   : MAXIMUM OPTICAL DEPTHS FOR EBL-EAL, dB/dT(T0) WEIGHTS
! GRPROX  : CORRECTION TERM FOR ADJACENT EXCHANGES
! GMIXP   : NON-STATISTICAL WEIGHTS FOR BRACKETING
! GFLUXC  : OUT OF BRACKET PART OF CLEARSKY EBL, RESP. EBL-EAL FLUX
! GDEOSI  : DESCENDING INCREMENTAL OPTICAL DEPTHS, SOLAR
! GUEOSI  : ASCENDING  INCREMENTAL OPTICAL DEPTHS, SOLAR
! GMU0    : COSINE OF SOLAR ZENITH ANGLE, APPROXIMATE ACTUAL VALUE
! GMU0_MIN: COSINE OF SOLAR ZENITH ANGLE, MIN VALUE
! GMU0_MAX: COSINE OF SOLAR ZENITH ANGLE, MAX VALUE
! ------------------------------------------------------------------------------

REAL(KIND=JPRB),ALLOCATABLE:: GRSURF  (:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GDEOTI  (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GDEOTI2 (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GUEOTI  (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GUEOTI2 (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GEOLT   (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GEOXT   (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GRPROX  (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GMIXP   (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GFLUXC  (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GDEOSI  (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GUEOSI  (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GMU0    (:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GMU0_MIN(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: GMU0_MAX(:,:)

END MODULE YOMTRC
